> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/public-data/get-underlying/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get underlying GET https://www.okx.com/api/v5/public/underlying Retrieve the list of underlyings available for the given instrument type. Reference: https://okx-demo.ferndocs.com/api/api-reference/public-data/get-underlying ## Request ### Query parameters - `instType` (enum, required) — Instrument type. - Allowed values: `SWAP`, `FUTURES`, `OPTION` ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of list of any, optional) ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ [ "LTC-USDT", "BTC-USDT", "ETC-USDT" ] ] } ``` **SDK Code** ```python publicData_getUnderlying_example import requests url = "https://www.okx.com/api/v5/public/underlying" querystring = {"instType":"SWAP"} response = requests.get(url, params=querystring) print(response.json()) ``` ```javascript publicData_getUnderlying_example const url = 'https://www.okx.com/api/v5/public/underlying?instType=SWAP'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go publicData_getUnderlying_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/public/underlying?instType=SWAP" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby publicData_getUnderlying_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/public/underlying?instType=SWAP") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java publicData_getUnderlying_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/public/underlying?instType=SWAP") .asString(); ``` ```php publicData_getUnderlying_example request('GET', 'https://www.okx.com/api/v5/public/underlying?instType=SWAP'); echo $response->getBody(); ``` ```csharp publicData_getUnderlying_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/public/underlying?instType=SWAP"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift publicData_getUnderlying_example import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/public/underlying?instType=SWAP")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```